package cn.cecep.talroad.vo;

import cn.cecep.talroad.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "废气有组织在线监测点位匹配")
public class PcOutletGasVO {

    @ApiModelProperty(value = "主键标识ID")
    private String monitoringPointId;

    @ApiModelProperty(value = "排口类型")
    @Excel(name = "排口类型", width = 20, sort = 4)
    private String outletTypes;

    @ApiModelProperty(value = "在线监测点位名称")
    @Excel(name = "在线监测点位名称", width = 30, sort = 1)
    private String monitoringPointName;

    @ApiModelProperty(value = "对应许可证排口名称")
    @Excel(name = "对应许可证排口名称", width = 30, sort = 2)
    private String outletName;

    @ApiModelProperty(value = "对应许可证排口编号")
    @Excel(name = "对应许可证排口编号", width = 30, sort = 3)
    private String outletCode;

    @ApiModelProperty(value = "父级排口Id")
    private String parentOutletId;


    public String getMonitoringPointId() {
        return (monitoringPointId != null) ? monitoringPointId : "";
    }

    public void setMonitoringPointId(String monitoringPointId) {
        this.monitoringPointId = monitoringPointId;
    }

    public String getOutletTypes() {
        return (outletTypes != null) ? outletTypes : "";
    }

    public void setOutletTypes(String outletTypes) {
        this.outletTypes = outletTypes;
    }

    public String getMonitoringPointName() {
        return (monitoringPointName != null) ? monitoringPointName : "";
    }

    public void setMonitoringPointName(String monitoringPointName) {
        this.monitoringPointName = monitoringPointName;
    }

    public String getOutletName() {
        return (outletName != null) ? outletName : "";
    }

    public void setOutletName(String outletName) {
        this.outletName = outletName;
    }

    public String getOutletCode() {
        return (outletCode != null) ? outletCode : "";
    }

    public void setOutletCode(String outletCode) {
        this.outletCode = outletCode;
    }

    public String getParentOutletId() {
        return (parentOutletId != null) ? parentOutletId : "";
    }

    public void setParentOutletId(String parentOutletId) {
        this.parentOutletId = parentOutletId;
    }
}
